Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class ItemChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.ItemChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ItemChangeEvent

extends javax.faces.event.FacesEvent

A `ItemChangeEvent` is a ...

Since:
  -4712-01-01
Version:
  1.0
Author:
  akolonitsky
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ItemChangeEvent(javax.faces.component.UIComponent component, java.lang.String oldItemName, javax.faces.component.UIComponent oldItem, java.lang.String newItemName, javax.faces.component.UIComponent newItem)` Construct a new event object from the specified source component, old value, and new value.

Method Summary
`javax.faces.component.UIComponent` | `getNewItem()`
`java.lang.String` | `getNewItemName()`
`javax.faces.component.UIComponent` | `getOldItem()`
`java.lang.String` | `getOldItemName()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemChangeEvent

    public ItemChangeEvent(javax.faces.component.UIComponent component,
                           java.lang.String oldItemName,
                           javax.faces.component.UIComponent oldItem,
                           java.lang.String newItemName,
                           javax.faces.component.UIComponent newItem)

  Construct a new event object from the specified source component, old value, and new value.

  The default `PhaseId` for this event is `PhaseId.ANY_PHASE`.

  Parameters:
    `component` - Source `UIComponent` for this event
    `oldItemName` -
    `newItemName` -
  Throws:
    `java.lang.IllegalArgumentException` - if `component` is `null`

Method Detail

### getOldItemName

    public java.lang.String getOldItemName()

### getNewItemName

    public java.lang.String getNewItemName()

### getOldItem

    public javax.faces.component.UIComponent getOldItem()

### getNewItem

    public javax.faces.component.UIComponent getNewItem()

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.